/* 
Theme Name: Hello Elementor Child
Theme URI: https://github.com/elementor/hello-theme/
Description: Hello Elementor Child is a child theme of Hello Elementor, created by Elementor team
Author: Elementor Team
Author URI: https://elementor.com/
Template: hello-elementor
Version: 1.0.1
Text Domain: hello-elementor-child
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Tags: flexible-header, custom-colors, custom-menu, custom-logo, editor-style, featured-images, rtl-language-support, threaded-comments, translation-ready
*/

/***********************************************************/
/** RESET **************************************************/
/***********************************************************/
[class*="elementor"] ul, 
[class*="elementor"] ol {
	color: var();
}
[class*="elementor"] h1,
[class*="elementor"] h2,
[class*="elementor"] h3,
[class*="elementor"] h4,
[class*="elementor"] h5,
[class*="elementor"] h6{
	margin: 0 0 32px;
}
[class*="elementor"] .white-headline h2,
[class*="elementor"] .white-headline h3,
[class*="elementor"] .white-headline h4,
[class*="elementor"] .white-headline h5,
[class*="elementor"] .white-headline h6,
[class*="elementor"] .white-headline .lead-in{
	color: var(--e-global-color-d678c38);
}
[class*="elementor"] a:not(.elementor-button){
	transition: 0.3s;
	color: unset;
}
[class*="elementor"] a:not(.elementor-button):hover{
	color: var(--e-global-color-195f7ed);
}
[class*="elementor"] .lead-in{
	display: block;
	margin-bottom: 12px;
	color: var(--e-global-color-accent);
	font-family: var(--e-global-typography-1f08b70-font-family), Sans-serif;
    font-size: var(--e-global-typography-1f08b70-font-size);
    font-weight: var(--e-global-typography-1f08b70-font-weight);
    text-transform: var(--e-global-typography-1f08b70-text-transform);
    line-height: var(--e-global-typography-1f08b70-line-height);
    letter-spacing: var(--e-global-typography-1f08b70-letter-spacing);
}
[class*="elementor"] section > .e-con-inner{
	position: relative;
}
[class*="elementor"] p:last-of-type:not(.lead-in) {
    margin: 0;
}
[class*="elementor"] .elementor-widget-text-editor .elementor-button{
	margin-top: 28px;
}
[class*="elementor"] .elementor-widget-text-editor.banner-button .elementor-button{
	margin-top: 60px;
}
[class*="elementor"] .elementor-button {
    position: relative;
    overflow: hidden;
    z-index: 2;
    background: var(--e-global-color-primary);
	background: linear-gradient(270deg, #1E91A2 0%, var(--e-global-color-primary) 100%);
}
[class*="elementor"] .elementor-button::after{
	content: '';
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
	background: linear-gradient(270deg, var(--e-global-color-accent) 0%, var(--e-global-color-195f7ed) 100%);
	opacity: 0;
    z-index: -1;
    transition: .3s;

}
[class*="elementor"] .elementor-button:hover::after {
    opacity: 1;
}
[class*="elementor"] .w-swirl{
	overflow-x: clip;
}
[class*="elementor"] .full-image{
	bottom: 0;
}
[class*="elementor"] .gradient-grey.right-end > div::after,
[class*="elementor"] .gradient-grey.left > div::before,
[class*="elementor"] .white-gradient.right-end > div::after,
[class*="elementor"] .white-gradient.left > div::before{
    content: '';
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
	width: 30%;
}
[class*="elementor"] .white-gradient.right-end > div::after,
[class*="elementor"] .white-gradient.left > div::before{
	background: linear-gradient(90deg, var(--e-global-color-d678c38) 0%, rgba(255, 255, 255, 0) 100%);
}
[class*="elementor"] .white-gradient.right-end > div::after{
	opacity: 0;
    left: unset;
    right: -1px;
	transform: rotate(180deg);	
	width: 135px;
}
[class*="elementor"] .gradient-grey.right-end > div::after,
[class*="elementor"] .gradient-grey.left > div::before {
    background: linear-gradient(90deg, #F3F3F3 0%, rgba(243, 243, 243, 0) 100%), linear-gradient(90deg, #F3F3F3 0%, rgba(243, 243, 243, 0) 100%);
}
[class*="elementor"] .gradient-grey.right-end > div::after {
    opacity: 0;
    left: unset;
    right: -1px;
    transform: rotate(180deg);
    width: 135px;
    background: linear-gradient(90deg, #F3F3F3 0%, rgba(243, 243, 243, 0) 100%);
}
[class*="elementor"] .elementor-widget-n-accordion .e-n-accordion-item {
    border-radius: 25px;
    box-shadow: rgba(0, 0, 0, 0.1) -0px 0px 60px 0px;
}
[class*="elementor"] .elementor-widget-n-accordion .e-n-accordion-item:not(:last-of-type) {
    margin-bottom: 20px;
}
[class*="elementor"] .elementor-widget-n-accordion .e-n-accordion-item-title-text{
	max-width: 590px;	
}
[class*="elementor"] .elementor-widget-n-accordion .e-n-accordion-item .e-closed {
    transform: rotate(180deg);
}
[class*="elementor"] .elementor-widget-n-accordion .e-n-accordion-item-title-icon {
    border-radius: 100%;
    padding: 12px;
    background: rgb(30, 145, 162);
    background: linear-gradient(0deg, rgba(30, 145, 162, 1) 0%, rgba(14, 70, 105, 1) 100%);
}
[class*="elementor"] .elementor-widget-n-accordion details[open] .e-n-accordion-item-title-icon {
    background: rgb(244, 182, 110);
    background: linear-gradient(180deg, rgba(244, 182, 110, 1) 0%, rgba(217, 79, 83, 1) 100%);
}
[class*="elementor"] .elementor-widget-n-accordion .e-n-accordion-item-title{
	justify-content: space-between;
}
#banner .short-desc p{
	max-width: 750px;
	margin: auto;
}

[class*="elementor"] .orange {
	color: var(--e-global-color-accent);
}

/***********************************************************/
/** HEADER *************************************************/
/***********************************************************/
#header-main.scrolled{
	box-shadow: 0px 2px 0px #F3F3F3;
}
#header-top {
    height: 34px;
    overflow: hidden;
    transition: 0.3s;
}
#header-main.scrolled #header-top {
    height: 0px;
}
/***********************************************************/
/** FOOTER *************************************************/
/***********************************************************/
#footer{
	overflow-x: clip;
}
#footer::before {
    content: '';
    display: inline-block;
    width: 6240px;
    background: url(/wp-content/uploads/2025/09/Swirl-v3.svg) no-repeat center;
	background-size: contain;
    height: 585px;
    transform: translateX(-50%);
    left: calc(50% - 25px);
    position: absolute;
    top: -580px;
}
#footer .elementor-widget-icon:not(.footer-logo) .elementor-icon-wrapper {
    display: flex;
    padding: 12px;
    background-color: rgba(162, 218, 216, 0.1);
	border-radius: 6px;
	transition: 0.3s;
}
#footer .elementor-widget-icon:not(.footer-logo) a::before {
    content: '';
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
}
#footer .elementor-widget-icon:not(.footer-logo) .elementor-icon-wrapper:hover{
	background-color: rgba(244, 182, 110, 0.1);	
} 
#footer .store-hours h2{
	color: rgba(255, 255, 255, 0.5);
	font-family: var(--e-global-typography-text-font-family), Sans-serif;
    font-size: var(--e-global-typography-text-font-size);
    font-weight: var(--e-global-typography-text-font-weight);
    line-height: var(--e-global-typography-text-line-height);
	text-transform: uppercase;
}
#footer .store-hours ul {
    list-style: none;
    padding: 0;
    margin: 20px 0;
/*     column-count: 2;
    column-gap: 80px; */
	display: flex;
	justify-content: space-between;
	gap: 50px;
}
#footer .store-hours ul > li{
	margin-bottom: 12px;
}
#footer .store-hours p:last-of-type{
	font-family: var(--e-global-typography-text-font-family);
}
#footer .copyright > div{
	display: flex;
	justify-content: space-between;
	gap: 40px 20px;
}
#footer .copyright p{
	margin-bottom: 0;
}

#banner h1{
	margin-bottom: 24px;
}
#swirl{
	height: 355px;
}
#swirl .elementor-icon-wrapper svg {
    width: 3610px;
    height: 737px;
    position: absolute;
    left: 50%;
    transform: translateX(-50%);
    bottom: 0;
}
#swirl.v2 .elementor-icon-wrapper svg{
    width: 3610px;
	left: 65%;
	height: 490px;
}
/***********************************************************/
/** HOMEPAGE ***********************************************/
/***********************************************************/
#banner.home .elementor-widget-text-editor ul {
    display: flex;
    gap: 48px;
    align-items: center;
    padding: 0;
    list-style: none;
    margin-top: 40px;
	width: 100%;
    max-width: 525px;
}
#banner.home .elementor-widget-text-editor p{
	max-width: 600px;
}
/* #shop .image-carousel{
	overflow-x: clip;
} */
#shop .elementor-widget-text-editor h3 {
    color: var(--e-global-color-primary);
    font-family: var(--e-global-typography-secondary-font-family), Sans-serif;
    font-size: 26px;
    line-height: 1.2;
    font-weight: 400;
    margin-bottom: 25px;
}
#shop .elementor-widget-text-editor ul{
	list-style: none;
	padding: 0;
}
#shop .elementor-widget-text-editor ul > li{
	margin-bottom: 12px;
}
#shop .elementor-widget-image > div{
	overflow-x: auto;
    overflow-y: hidden;
}

#shop .elementor-widget-image > div::-webkit-scrollbar{
  display: none;	
}

#volunteer{
	overflow-x: clip;
}
#volunteer > e.con-inner{
	position: unset;
}
#volunteer .elementor-widget-image{
	max-width: 960px;
	transform: translatey(-50%);
}
#bottom-cta .elementor-widget-text-editor h2{
	margin-bottom: 24px;
}
#bottom-cta .elementor-widget-text-editor a.elementor-button {
    min-width: 250px;
    margin-top: 60px;
}

[class*="elementor"] .h3-font h2 {
    font-size: calc(var(--e-global-typography-secondary-font-size) - 35%);
}

/***********************************************************/
/** CONTACT ************************************************/
/***********************************************************/
#contact .elementor-widget-image > div::before{
	width: 70%;
}
#contact .elementor-widget-icon .elementor-icon-wrapper{
	display: flex;
}
#contact .elementor-widget-image {
	transform: translateY(-50%);
}
/***********************************************************/
/** SHOP ***************************************************/
/***********************************************************/
#shop-with-us .elementor-widget-text-editor h3{
	margin-bottom: 24px;
}
#hidden-gems .elementor-widget-image-box img{
    border-radius: 25px 25px 0px 0px;	
}
#hidden-gems .elementor-widget-image-box .elementor-image-box-content{
    padding: 0px 30px 40px	
}
#bottom-cta.shop .elementor-widget-image {
    top: 0;
}
#bottom-cta.shop .elementor-widget-image > div::before {
    content: '';
    position: absolute;
    top: 0;
    bottom: 0;
/*     right: 0;
    width: 100%; */
	left: 0;
	width: 50%;
    background: linear-gradient(90deg, rgba(255, 255, 255, 1) 0%, rgba(255, 255, 255, 0) 100%), linear-gradient(90deg, rgba(255, 255, 255, 1) 0%, rgba(255, 255, 255, 0) 100%);
}
/***********************************************************/
/** OUR IMPACT *********************************************/
/***********************************************************/
#program .program-title > div{
	max-width: 720px;
}
#program .elementor-widget-text-editor h3{
	margin-bottom: 24px;
}
/***********************************************************/
/** DONATE *************************************************/
/***********************************************************/
#donation .elementor-widget-text-editor ul {
    text-align: left;
    max-width: 80%;
    margin: auto;
    padding-left: 25px;
}
#donation .elementor-widget-text-editor i::before{
    font-family: "Font Awesome 5 Free";
    font-weight: 400;	
	font-size: 60px;
}
#donation .elementor-widget-text-editor i {
    position: absolute;
    top: -25px;
    left: -25px;
    width: 60px;
    height: 60px;
    z-index: 1;
}
#donation .elementor-widget-text-editor.accepted i {
    color: #2CB891;
}

/* [class*="elementor"] .two-col-section .elementor-widget-image {
	height: 500px;
}
[class*="elementor"] .two-col-section .elementor-widget-image .elementor-widget-container {
	height: 100%;
    width: 790px;
} */


@media only screen and (min-width: 1919px) {
	#volunteer > .e-con-inner{
		position: relative;
	}	
	#volunteer .elementor-widget-image {
		width: unset;
 	    transform: translatey(-50%) translateX(260px);
	}
	#volunteer.about .elementor-widget-image {
		transform: translatey(10%) translateX(260px);
	}

}
@media only screen and (min-width: 1921px) {

	[class*="elementor"] .white-gradient.right-end > div::after,
	[class*="elementor"] .gradient-grey.right-end > div::after{
		opacity: 1;
	}
	
}
@media only screen and (max-width: 1919px) {
	#volunteer.about > .e-con-inner{
		padding-bottom: 300px;
	}
	#volunteer .elementor-widget-image{
		top: 60%;
	}
    #contact .elementor-widget-image {
        width: 60%;
        top: 43%;
    }
	#contact .elementor-widget-image img{
		width: 100%;
	}
}
/* @media only screen and (max-width: 1700px) {
	#our-team .elementor-widget-image{
    	right: -150px;		
	}
} */
@media only screen and (max-width: 1450px) {
	section.e-con > .e-con-inner{
		padding-left: 25px;
		padding-right: 25px;
	}
/* 	#our-team .elementor-widget-image{
    	right: -110px;		
	} */
	#contact .elementor-widget-image > div::before {
		width: 100%;
	}
}
@media only screen and (max-width: 1280px) {
	/***********************************************************/
	/** FOOTER *************************************************/
	/***********************************************************/
	#footer .store-hours ul{
/*     	column-gap: 0px;		 */
	}
	#footer .copyright p:first-of-type{
		width: 70%;
	}
	#our-team .elementor-widget-image > div::before{
		width: 40%;
	}
}

@media only screen and (max-width: 1024px) {
	[class*="elementor"] .remove-tablet-absolute{
		position: unset !important;
	}
	[class*="elementor"] .remove-tablet-br br{
		display: none;
	}
	#header .elementor-widget-nav-menu .elementor-menu-toggle{
		padding: 0;
	}
    #header .elementor-widget-nav-menu .elementor-menu-toggle__icon--open::before {
        background: url(/wp-content/uploads/2025/09/Menu-button.svg) no-repeat center;
        background-size: contain;
        color: transparent;
    }
	#header .elementor-widget-nav-menu .elementor-menu-toggle__icon--close::before {
	    background: url(https://www.happydragonthriftshop.org/wp-content/uploads/2025/09/Exit.svg) no-repeat center;
		background-size: contain;
		color: transparent;
	}

	#header .elementor-widget-nav-menu .elementor-nav-menu .elementor-item {
		justify-content: center;
	}
	/***********************************************************/
	/** FOOTER *************************************************/
	/***********************************************************/
	#footer::before{
		height: 410px;
    	top: -410px;		
	}
	#footer .store-hours ul li {
		width: calc(50% - 25px);
	}
	#footer .copyright > div {
		flex-direction: column;
		align-items: center;
	}
	#footer .copyright p:first-of-type{
		width: 100%;
	}
	
	#swirl {
		height: 265px;
	}
	#swirl .elementor-icon-wrapper svg{
		width: 2145px;
    	height: 435px;
	}
	#shop .elementor-widget-text-editor h3 {
    	font-size: 24px;		
	}
	#volunteer .elementor-widget-image {
		transform: unset;
	}
	
	#hero-about .elementor-widget-image img{
		aspect-ratio: 1 / 0.7;
	}
	
/* 	#our-team .elementor-widget-image > div::before, */
	#our-team .elementor-widget-image > div::after{
		content: none;
	}
	#our-team .elementor-widget-image img{
		max-height: 910px;
	}
	#our-team .elementor-widget-image > div{
		display: flex;
		flex-direction: column;
		align-items: center;
		position: relative;
	}
	#our-team .elementor-widget-image > div::before {
		width: 100vw;
		height: 100px;
		top: unset;
		bottom: -1px;
		left: 50%;
		transform: translateX(-50%);
		background: linear-gradient(0deg, #F3F3F3 0%, rgba(243, 243, 243, 0) 100%);
	}
	#volunteer.about > .e-con-inner {
        padding-bottom: 100px;
    }
	#contact .elementor-widget-image{
		top: 45%;
		width: 50%;
	}
/* 	[class*="elementor"] .two-col-section .elementor-widget-image {
		height: unset;
	}
	[class*="elementor"] .two-col-section .elementor-widget-image .elementor-widget-container {
		width: 100%;
	} */
}
@media only screen and (max-width: 767px) {
	#banner.home .elementor-widget-text-editor ul{
		margin: 40px auto 0;
		max-width: 450px;
	}
	
	#footer .store-hours ul {
		flex-wrap: wrap;
		gap: 0;
	}
	#footer .store-hours ul li {
		width: 100%;
	}
	
	#swirl {
        height: 175px;
    }
    #swirl .elementor-icon-wrapper svg {
        width: 1290px;
        height: 295px;
    }
	#shop .elementor-widget-text-editor h3 {
		font-size: 22px;
	}
	#volunteer .elementor-widget-image{
		transform: unset;
	}
	
	#bottom-cta.shop .elementor-widget-image {
		left: 0;
	}
	#bottom-cta.shop .elementor-widget-image > div::before {
    	background: var(--e-global-color-f287fb7);
		opacity: 1;
	}
	#bottom-cta.shop .elementor-widget-text-editor h2,
	#bottom-cta.shop .elementor-widget-text-editor p{
		color: var(--e-global-color-d678c38);
	}
	#bottom-cta.shop.about .elementor-widget-text-editor a.elementor-button {
		background: var(--e-global-color-d678c38);
		color: var(--e-global-color-primary);
	}
    #contact .elementor-widget-image {
        position: unset;
        width: 100%;
        transform: unset;
    }
	#we-back .elementor-widget-text-editor h3{
		margin-bottom: 16px;
	}


}
@media only screen and (max-width: 489px) {
	#header-top, 
	#header, 
	section.e-con > .e-con-inner{
		padding-left: 15px;
		padding-right: 15px;
	}
	#header-top{
		height: 42px;
	}
	#header-top .elementor-widget-icon-list .elementor-icon-list-text{
		font-size: 11px;
	}
	#header .elementor-widget-image img{
		max-width: 170px;
	}
	#footer::before {
        background: url(https://www.happydragonthriftshop.org/wp-content/uploads/2025/09/Swirl-bottom-mobilev2.svg) no-repeat center;
        height: 142px;
        top: -90px;
        width: calc(100% + 150px);
        background-size: contain;
    }
	
	#footer .store-hours ul{
		column-count: 1;
	}
    #swirl {
        height: 70px;
    }
	#swirl .elementor-icon-wrapper svg {
        width: 724px;
        height: 147px;
    }
	#shop .elementor-widget-icon.drag svg{
		height: 31px;
	}
	.custom-pb > .e-con-inner,
	#bottom-cta.shop > .e-con-inner,
	#volunteer > .e-con-inner,
	#program.privacy > .e-con-inner {
		padding-bottom: 135px;
	}
	#our-team #swirl .elementor-icon-wrapper svg{
        height: 295px;
	}
	#our-team .elementor-widget-image img {
        width: 575px;
    }
	#donation .elementor-widget-text-editor.accepted,
	#donation .elementor-widget-text-editor.not-accepted{
		margin-left: 15px;
	}
	#donation .elementor-widget-text-editor ul{
		max-width: 100%;
	}
	#contact .elementor-widget-image > div::before {
        width: 200%;
    }
/* 	#contact .elementor-widget-image img {
        width: 660px;
		opacity: 0.2;
	} */
	#contact .elementor-widget-image > div::before{
		width: 0;
	}
	#contact .elementor-widget-image img {
		object-fit: cover;
		height: 400px;
	}
}